# ios_linkagg – Manage link aggregation groups on Cisco IOS network devices

New in version 2.5.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module provides declarative management of link aggregation groups on Cisco IOS network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aggregate - |  | List of link aggregation definitions.

auth_pass
string

Deprecated
Starting with Ansible 2.5 we recommend using `connection: network_cli` and `become: yes` with `become_pass`.
For more information please see the IOS Platform Options guide.

Specifies the password to use if required to enter privileged mode on the remote device. If authorize is false, then this argument does nothing. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_AUTH_PASS` will be used instead.

authorize
boolean

Choices:
- no ←
- yes

Deprecated
Starting with Ansible 2.5 we recommend using `connection: network_cli` and `become: yes`.
For more information please see the IOS Platform Options guide.

Instructs the module to enter privileged mode on the remote device before sending any commands. If not specified, the device will attempt to execute all commands in non-privileged mode. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_AUTHORIZE` will be used instead.

group - |  | Channel-group number for the port-channel Link aggregation group. Range 1-255.
members - |  | List of members of the link aggregation group.

mode
-

Choices:
- active
- on
- passive
- auto
- desirable

Mode of the link aggregation group.

provider
dictionary

Deprecated
Starting with Ansible 2.5 we recommend using `connection: network_cli`.
For more information please see the IOS Platform Options guide.

A dict object containing connection details.

| auth_pass string |  | Specifies the password to use if required to enter privileged mode on the remote device. If authorize is false, then this argument does nothing. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_AUTH_PASS` will be used instead.

authorize
boolean

Choices:
- no ←
- yes

Instructs the module to enter privileged mode on the remote device before sending any commands. If not specified, the device will attempt to execute all commands in non-privileged mode. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_AUTHORIZE` will be used instead.

| host string / required |  | Specifies the DNS host name or address for connecting to the remote device over the specified transport. The value of host is used as the destination address for the transport.
| password string |  | Specifies the password to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_PASSWORD` will be used instead.
| port integer | Default: 22 | Specifies the port to use when building the connection to the remote device.
| ssh_keyfile path |  | Specifies the SSH key to use to authenticate the connection to the remote device. This value is the path to the key used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_SSH_KEYFILE` will be used instead.
| timeout integer | Default: 10 | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| username string |  | Configures the username to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_USERNAME` will be used instead.

purge
boolean

Choices:
- no ←
- yes

Purge links not defined in the aggregate parameter.

state
-

Choices:
- present ←
- absent

State of the link aggregation group.

## Notes

Note

- Tested against IOS 15.2

- For more information on using Ansible to manage network devices see the Ansible Network Guide

- For more information on using Ansible to manage Cisco devices see the Cisco integration page.

## Examples

    - name: create link aggregation group
      ios_linkagg:
        group: 10
        state: present

    - name: delete link aggregation group
      ios_linkagg:
        group: 10
        state: absent

    - name: set link aggregation group to members
      ios_linkagg:
        group: 200
        mode: active
        members:
          - GigabitEthernet0/0
          - GigabitEthernet0/1

    - name: remove link aggregation group from GigabitEthernet0/0
      ios_linkagg:
        group: 200
        mode: active
        members:
          - GigabitEthernet0/1

    - name: Create aggregate of linkagg definitions
      ios_linkagg:
        aggregate:
          - { group: 3, mode: on, members: [GigabitEthernet0/1] }
          - { group: 100, mode: passive, members: [GigabitEthernet0/2] }

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always, except for the platforms that use Netconf transport to manage the device. | The list of configuration mode commands to send to the device Sample: ['interface port-channel 30', 'interface GigabitEthernet0/3', 'channel-group 30 mode on', 'no interface port-channel 30']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Network Team. [network]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Trishna Guha (@trishnaguha)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.